<template>
  <div class="invitation">
    <toptip :currTitle="currTitle"></toptip>
    <template v-for="item in imgList">
      <img :src="item" alt="邀请函" :key="item">
    </template>
  </div>
</template>

<script>
import { article_list, article_info } from "../../request/api";
import toptip from "../../components/toptip";
export default {
  metaInfo: {
    title: "邀请函",
  },
  data() {
    return {
      currTitle: "邀请函",
      imgList: [],
    };
  },
  components: {
    toptip,
  },
  created() {
    this.getImgList();
  },
  methods: {
    getImgList() {
      article_info({}, 65).then(({ data: res }) => {
        let imgUrl = "http://ca.liuniu946.com/" + res.data.coverimage;
        this.imgList.push(imgUrl);
        article_info({}, 66).then(({ data: res }) => {
          let imgUrl = "http://ca.liuniu946.com/" + res.data.coverimage;
          this.imgList.push(imgUrl);
          console.log(this.imgList)
        });
      });
    },
  },
};
</script>

<style lang="scss" scoped>
img {
  width: 100%;
}
</style>